<?xml version="1.0" encoding="utf-8" ?>
<table name="project" desc="项目列表">
    <column isNull="false" isPK="true" name="id" caption="主键" dbtype="varchar(36)"
            type="string" size="36">
        <auto value="$uuid" update="false">
        </auto>
    </column>
    <column isNull="false" name="contract_code" caption="合同编号" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="project_code" caption="项目编号" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="project_name" caption="工程名称" type="string" size="100" dbtype="varchar(36)"/>
    <column isNull="false" name="owner_linkman" caption="甲方联系人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="building_area" caption="建筑面积" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="contract_money" caption="合同金额" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="postal_address" caption="通讯地址" type="string" size="50" dbtype="varchar(36)"/>
    <column isNull="false" name="builder" caption="建筑方" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="design_range" caption="机电设计范围" type="string" size="100" dbtype="varchar(36)"/>
    <column isNull="false" name="project_desc" caption="工程概况" type="string" size="500" dbtype="varchar(36)"/>
    <!--            专业信息-->
    <column isNull="false" name="electrical_charge" caption="机电主管" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="electrical_principal" caption="机电负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="drainage_principal" caption="给排水专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="electric_principal" caption="电气专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="air_condition_principal" caption="空调专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="heating_principal" caption="暖通专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="intelligent_principal" caption="智能化专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="green_build_principal" caption="绿建专业负责人" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="drawing_num" caption="合同约定图纸出图份数" type="string" size="36"
            dbtype="varchar(36)"/>
    <column isNull="false" name="project_status" caption="项目状态" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="remark" caption="备注" type="string" size="500" dbtype="varchar(36)"/>
    <column isNull="false" name="del_flag" caption="是否删除 1：删除   0：正常" type="int32"/>
    <column isNull="false" name="begin_time" caption="开始时间" type="datetime"/>
    <column isNull="false" name="end_time" caption="结束时间" type="datetime"/>
    <column isNull="false" name="create_by" caption="创建人" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="create_time" caption="创建时间" type="datetime"/>
    <column isNull="false" name="last_update_by" caption="最后更新人" type="string" size="36" dbtype="varchar(36)"/>
    <column isNull="false" name="last_update_date" caption="最后更新时间" type="datetime"/>
</table>
